function V = CayleySGD_linesearch_huber(V, Vs, g, Y,rho_s,mu, alpha0,beta, ite_max)
N = size(V,1);
D = diag(g);
ite = 0;
alpha = alpha0;
GD = gd_huber(g,V,Y,mu) + rho_s*(V-Vs);
W_hat = GD*V' - 0.5*V*(V'*GD*V'); W = W_hat - W_hat';
% W = GD*V' - V*GD';
obj = huber_loss(V*D*V'*Y,mu) + (rho_s/2)*norm(V - Vs,'fro')^2;
while ite <= ite_max
    ite = ite + 1;
    V_new = (eye(N) + 0.5*alpha*W)\(eye(N) - 0.5*alpha*W)*V;
    obj_new = huber_loss(V_new*D*V_new'*Y,mu) + (rho_s/2)*norm(V_new - Vs,'fro')^2;
    if obj > obj_new
        V = V_new;
        break
    else
        alpha = alpha*beta;
    end
end