function result = ADMM_BI_batch(Z,r,c,rho_lambda,rho_mu, N_step, stop_cri)
% Created on 04-28
% Edited on 05-01

result = struct;
[NP,N] = size(Z);
% g = rand(N,1);
g = ones(N,1);
x = rand(NP,1);
mu = rand();
lambda = rand(NP,1);
Gamma= rho_lambda*(Z'*Z)+rho_mu*(r*r');
Gamma_inv = inv(Gamma);
g_old = g;
for n_step = 1:N_step
    g = Gamma_inv*(Z'*(rho_lambda*x - lambda)+(rho_mu*c - mu)*r);
    x = Srho(Z*g + lambda/rho_lambda, 1/rho_lambda);
    lambda = lambda + rho_lambda*(Z*g - x);
%     lambda = 0;
    mu = mu + rho_mu*(r'*g - c);
    RE_v = norm(g - g_old)/(1e-10 + norm(g_old));
%     RE_v = norm(Z*g - x)^2;
    if RE_v <= stop_cri
        break;
    else
        g_old = g;
    end
end
result.g = g;
result.x = x;
result.lambda = lambda;
result.mu = mu;
result.ite = n_step;
result.RE_v = RE_v;
end