function [An,lambda,V] = connected_nonpermu_ER_generate_v3(N,p)
count_for_perm_pair = 1;
% graph = struct;
while count_for_perm_pair > 0
    conn = 10;
    while conn > 1
        A = rand(N,N) < p; % A is Adjacency matrix
        A = triu(A,1);
        A = A + A';
        d = sum(A,2);
        G = graph(A);
        conn = max(conncomp(G));
    end
    Lp = diag(d) - A; % Laplacian
    Lpn = zeros(N,N); An = zeros(N,N);
    for i = 1:N
        for j = 1:N
            Lpn(i,j) = Lp(i,j)/sqrt(d(i)*d(j));
            An(i,j) = A(i,j)/sqrt(d(i)*d(j));        
        end
    end
    [V,Lambda] = eig(An); lambda = diag(Lambda); %A = An;
    count_for_perm_pair = 0;
    for k = 1:N
        VV = V(:,k)*V(:,k)';
        temp_non_zeros_entry_count = 0;
        for l1 = 1:N
            for l2 = 1:N
                if abs(VV(l1,l2)) > 1e-5
                    temp_non_zeros_entry_count = temp_non_zeros_entry_count + 1;
                end
            end
        end
        if temp_non_zeros_entry_count < 5
            count_for_perm_pair = count_for_perm_pair + 1;
        end
    end
end